WATCH(1)

NUME
watch - execut- un program periodic, afișând ieșirea pe întreg ecranul

REZUMAT
watch [opțiune ...] comanda

DESCRIERE
watch rulează comanda în mod repetat, afișând rezultatul și erorile (primul conținut al ecranului). Acest lucru vă permite să urmăriți modificarea ieșirii programului în timp. În mod implicit, comanda este rulată la fiecare 2 secunde și watch va rula până când este întrerupt. Un antet informează cu privire la ora de începere și de execuție a comenzii, precum și la codul său de ieșire.

OPȚIUNI

-b, --beep
    Emite un bip dacă comanda are o ieșire diferită de zero.

-c, --color
    Interpretează secvențele de culori și stil ANSI.

-C, --no-color
    Nu interpretează secvențele de culori și stil ANSI.

-d, --differences[=permanent]
    Evidențiază diferențele dintre actualizările succesive. Dacă este specificat argumentul opțional permanent, atunci watch va afișa toate modificările de la prima iterație.

-e, --errexit
    Îngheață actualizările la o eroare a comenzii și iese după apăsarea unei taste. Codul de ieșire din watch va fi codul cu care comanda iese. Dacă semnalul n este cauza încetării comenzii, codul de ieșire va fi 128 + n.

-g, --chgexit
    Iese atunci când se modifică ieșirea vizibilă a comenzii. Modificările care nu sunt vizibile pe ecran din cauza dimensiunii mici a ecranului sau a ieșirii mari nu vor determina ca watch să iasă.

-n, --interval secunde
    Specifică intervalul de actualizare. Valorile mai mici de 0,1 și mai mari de 2678400 (31 de zile) sunt convertite în aceste limite. Ambele semne de separare a zecimalelor „.’ și „,”, funcționează pentru orice configurare regională. Variabila de mediu WATCH_INTERVAL, poate fi utilizată pentru a configura în mod persistent un interval care nu este implicit (urmând aceleași reguli și formatare).

-p, --precise
    Execută comanda la --interval secunde după ce execuția sa anterioară a început, în loc de --interval secunde după ce execuția sa anterioară s-a încheiat. Dacă comanda are nevoie de mai mult de --interval secunde pentru a se finaliza, aceasta este așteptată în ambele cazuri.

-q, --equexit <cycles>
    Iese, când ieșirea comenzii nu se modifică pentru numărul de cicluri dat.

-r, --no-rerun
    Nu rulează programul la redimensionarea terminalului, ieșirea programului va apărea din nou la următoarea rulare obișnuită.

-s, --shotsdir
    Director în care se salvează capturile de ecran.

-t, --no-title
    Dezactivează antetul afișat în mod normal în partea de sus a ecranului.

-w, --no-wrap
    Dezactivează încadrarea liniilor (prin împărțirea lor la lățimea ferestrei). Liniile lungi vor fi trunchiate în loc să fie transferate pe linia următoare.

-x, --exec
    Pasează comanda la un apel exec(3) în loc de sh -c. Programul va porni un pic mai repede. Funcțiile Shell (configurarea mediului, extinderea variabilelor și a numelor de rută etc.) nu vor fi disponibile.

-h, --help
    Afișează acest mesaj de ajutor.

-v, --version
    Afișează informațiile despre versiune și iese.

TASTE DE CONTROL

bara-de-spațiu
    Lansează comanda imediat. Dacă este în curs de execuție în acest moment, nu este întreruptă și următoarea sa rundă va începe fără întârziere.

q   Oprește watch. În prezent, nu întrerupe o comandă în curs de execuție (spre deosebire de semnalele de terminare, cum ar fi SIGKILL după Ctrl+C).

s   Realizează o captură de ecran. Aceasta va fi salvată în directorul de lucru, dacă nu se specifică altfel prin --shotsdir. Dacă comanda rulează în acel moment, captura de ecran va fi făcută imediat ce se termină.

STARE DE IEȘIRE

0   Succes. Nu reprezintă codul de ieșire al comenzii.

1   Erori care nu au legătură cu operația comenzii.

2   Erori legate de execuția și gestionarea comenzii (nu codul acesteia de ieșire).

orice non-zero (--errexit)
    Cu --errexit este returnat ultimul cod de ieșire din comandă.

VARIABILE DE MEDIU
Comportamentul lui watch este afectat de următoarele variabile de mediu.

WATCH_INTERVAL
    Intervalul de actualizare, urmează aceleași reguli ca și opțiunea --interval din linia de comandă.

COLUMNS
    Lățimea în caractere a ecranului terminalului. Definiți pentru a anula autodetecția.

LINES
    Înălțimea în caractere a ecranului terminalului. Definiți pentru a anula autodetecția.

NOTE
Se utilizează procesarea opțiunii POSIX (adică procesarea opțiunii se oprește la primul argument care nu este opțiunea). Aceasta înseamnă că opțiunile de după comandă nu vor fi interpretate de watch.

Caracterele care nu se imprimă sunt eliminate din ieșirea programului. Utilizați cat -v ca parte a unei secvențe de comandă creată cu caracterul conductă (|) dacă doriți să le vedeți.

EXEMPLE

Pentru a urmări conținutul modificării unui director, puteți utiliza următoarea comandă:

    watch -d ls -l

Dacă aveți procesoare cu o frecvență dinamică și doriți să observați schimbarea acesteia, încercați următoarele. Comanda este transmisă către shell, care vă permite să realizați conducta. Ghilimelele sunt de asemenea o caracteristică a shell-ului.

    watch -n1 'grep "^cpu MHz" /proc/cpuinfo | sort -nrk4'

Pentru a monitoriza starea de funcționare a serverelor dvs., salvând o copie a rezultatelor fiecărei execuții într-un fișier, puteți utiliza această comandă. -p face ca comanda să fie executată la fiecare 10 secunde, indiferent de cât timp a durat execuția anterioară.

    watch -n10 -p -d '{ date; for i in 10.0.0.31 10.0.0.32 10.0.0.33; do R=OK; ping -c2 -W2 "$i" &>/dev/null || R=FAIL; echo "$i: $R"; done } | tee -a ~/log'

Puteți urmări ca administratorul dumneavoastră să instaleze cel mai recent nucleu cu ajutorul comenzii:

    watch uname -r

ERORI
Când dimensiunile terminalului se modifică, modificările conținutului acestuia nu sunt înregistrate la următoarea execuție a comenzii. --chgexit nu va declanșa acea întoarcere și contorul lui --equexit nu va reporni chiar dacă ieșirea comenzii se modifică între timp. Evidențierea --differences este reinițializată.

RAPORTAREA ERORILOR
Trimiteți rapoartele de eroare la procps@freelists.org.